Skip to main content
GET
/
api
/
v1
/
schedules
List schedules
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/schedules \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "limit": 123,
  "offset": 123,
  "schedules": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "execution_count": 123,
      "failure_count": 123,
      "file_count": 123,
      "frequency_description": "<string>",
      "has_files": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule_type": "recurring",
      "status": "active",
      "updated_at": "2023-11-07T05:31:56Z",
      "custom_weekdays": [
        123
      ],
      "direct_agent_id": "<string>",
      "hourly_frequency": 123,
      "last_executed_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "next_execution_at": "2023-11-07T05:31:56Z",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reporting_mode": "full",
      "scan_frequency": "hourly",
      "selected_chat_model": "auto",
      "start_time": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

project_id
string<uuid>

Optional project ID to get project-scoped schedules (requires project membership)

status
enum<string>

Filter by schedule status

Available options:
active,
paused,
completed,
failed
limit
integer
default:50

Maximum number of schedules to return

Required range: 1 <= x <= 200
offset
integer
default:0

Offset for pagination

Required range: x >= 0

Response

List of schedules

count
integer
required
limit
integer
required
offset
integer
required
schedules
object[]
required